## class: `WyPresence`, `wy-presence`

Presence indicator for avatars or text.

### Fields

| Name        | Type                        | Default    | Description                                        | Inherited From |
| ----------- | --------------------------- | ---------- | -------------------------------------------------- | -------------- |
| `placement` | `"avatar" \| "text"`        | `"avatar"` | Where the indicator should be placed relative to.  |                |
| `status`    | `PresenceType \| undefined` |            | Sets the current status of the presence indicator. |                |

### Attributes

| Name        | Field     | Inherited From |
| ----------- | --------- | -------------- |
| `placement` | placement |                |
| `status`    | status    |                |

### CSS Parts

| Name                  | Description                         |
| --------------------- | ----------------------------------- |
| `wy-presence`         |                                     |
| `wy-presence-active`  | When presence status is \`active\`. |
| `wy-presence-in-text` | When placement is in text.          |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type | Default                           | Description | Inherited From |
| ------------- | --------- | ---- | --------------------------------- | ----------- | -------------- |
| `exportParts` | protected |      | `new ShadowPartsController(this)` |             |                |

</details>

<hr/>

## Exports

| Kind                        | Name          | Declaration | Module                           | Package |
| --------------------------- | ------------- | ----------- | -------------------------------- | ------- |
| `js`                        | `WyPresence`  | WyPresence  | lib/components/ui/wy-presence.ts |         |
| `custom-element-definition` | `wy-presence` | WyPresence  | lib/components/ui/wy-presence.ts |         |
